<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./template.xhtml">
            <ui:define name="content">
                <h:form id="formListaUsuario">
            <p:dataTable id="mostrarListaUsuario" var="us" value="#{usuarioBean.listar}" emptyMessage="no hay datos">
                <p:column headerText="Nombre del usuario">
                    <h:outputText value="#{us.usuario}"/>
                </p:column>
                <p:column headerText="Nombres">
                    <h:outputText value="#{us.nombre}"/>
                </p:column>
                <p:column headerText="Apellidos">
                    <h:outputText value="#{us.apellido}"/>
                </p:column>
                <p:column headerText="Rol">
                     <h:outputText value="#{us.rol.nombre}"/>
                </p:column>
                <p:column headerText="Correo Electronico">
                     <h:outputText value="#{us.email}"/>
                </p:column>
                <p:column headerText="Opciones">
                    <p:commandButton value="Editar" oncomplete="PF('dlgModificar').show();" update=":formActualizarUsuario" >
                        <f:setPropertyActionListener target="#{usuarioBean.usuario}" value="#{us}"/>
                    </p:commandButton>
                    <p:commandButton value="Eliminar" oncomplete="PF('dlgEliminar').show();" update=":formEliminarUsuario" >
                        <f:setPropertyActionListener target="#{usuarioBean.usuario}" value="#{us}"/>
                    </p:commandButton>
                </p:column>
                
            </p:dataTable>
        </h:form>
        <h:link outcome="#{appBean.basePath}nuevo_usuario" value="Ingresar nuevo" />
        
        <p:dialog id="dlg" header="Modificar Datos " widgetVar="dlgModificar" showEffect="explode" hideEffect="explode" modal="true">
        <h:form id="formActualizarUsuario">
            <p:panelGrid columns="2" >
            <p:outputLabel value="Nombres:"/>
            <p:inputText value="#{usuarioBean.usuario.nombre}"/>
            <p:outputLabel value="Apellidos:"/>
            <p:inputText value="#{usuarioBean.usuario.apellido}"/>
            <p:outputLabel value="Email:"/>
            <p:inputText value="#{usuarioBean.usuario.email}"/>
            <p:outputLabel value="Nombre usuario:"/>
            <p:inputText value="#{usuarioBean.usuario.usuario}"/>
            <p:outputLabel value="Contraseña:"/>
            <p:password value="#{usuarioBean.usuario.clave}"/>
            <p:outputLabel value="Rol:"/>
            <p:selectOneMenu value="#{usuarioBean.usuario.rol.id}">
                <f:selectItem itemLabel="-- Seleccione --" />
                <f:selectItems value="#{usuarioBean.listaRoles}" />
            </p:selectOneMenu>
            <p:commandButton value="Guardar" actionListener="#{usuarioBean.modificarUsuario()}" update=":formListaUsuario:mostrarListaUsuario"
                             oncomplete="PF('dlgModificar').hide();"/>
            </p:panelGrid>
        </h:form>
         </p:dialog>
        <p:dialog id="dlg2" header="Eliminar Datos " widgetVar="dlgEliminar" showEffect="explode" hideEffect="explode" modal="true">
            <h:form id="formEliminarUsuario">
                <h:outputText value="¿desea eliminar este usuario?"/>
                <p:commandButton value="Si" actionListener="#{usuarioBean.suprimirUsuario()}" update=":formListaUsuario:mostrarListaUsuario"
                             oncomplete="PF('dlgEliminar').hide();"/>
                <p:commandButton value="No" onclick="PF('dlgEliminar').hide();"/>
            </h:form>
        </p:dialog>
            </ui:define>
        </ui:composition>

    </body>
</html>

